#include <stdio.h>
#include <string.h>

#include "imgprint.h"

int main(int argn, char *argv[]) {
	FILE *fo;
	const char *fname;

	if (argn != 3 && argn != 2) {
		fprintf(stderr, "Usage: %s in_pic [out_raw]\n", argv[0]);
		return 1;
	}

	fname = (argn > 2 && strcmp(argv[2], "-")) ? argv[2] : "/dev/stdout";

	if (!(fo = fopen(fname, "wb"))) {
		fprintf(stderr, "Ne mogu otvoriti izlaznu datoteku!\n");
		return 1;
	}

	return ucitaj_i_ispisi_sliku(argv[1], fo);
}
